moeoArchiveUpdater(3)

NAME
moeoArchiveUpdater - This class allows to update the archive at each generation with newly found non-dominated solutions.

SYNOPSIS

#include <moeoArchiveUpdater.h>

Inherits eoUpdater.

  Public Member Functions
moeoArchiveUpdater (moeoArchive< MOEOT > &_arch, const eoPop< MOEOT > &_pop)
Ctor.
void operator() ()
Updates the archive with newly found non-dominated solutions contained in the main population.

  Private Attributes
moeoArchive< MOEOT > & arch
the archive of non-dominated solutions
const eoPop< MOEOT > & pop
the main population

Detailed Description

  template<class MOEOT> class moeoArchiveUpdater< MOEOT >
This class allows to update the archive at each generation with newly found non-dominated solutions.

Definition at line 24 of file moeoArchiveUpdater.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoArchiveUpdater< MOEOT >::moeoArchiveUpdater (moeoArchive< MOEOT > & _arch, const eoPop< MOEOT > & _pop) [inline]

Ctor.

Parameters:
    _arch an archive of non-dominated solutions
    _pop the main population

Definition at line 33 of file moeoArchiveUpdater.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.